from fastapi import APIRouter
from fastapi.responses import StreamingResponse
from src.generators import conversation_streamer, json_streamer


router = APIRouter()


@router.get("")
async def hello_world():
    return "Hello World!"


@router.get("/talk")
async def talk():
    return StreamingResponse(
        content=conversation_streamer(), media_type="text/event-stream"
    )


@router.get("/json")
async def json():
    return StreamingResponse(
        content=json_streamer(), media_type="text/event-stream"
    )
